# SPDX-FileCopyrightText: 2024 UL Research Institutes
# SPDX-License-Identifier: Apache-2.0

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: "v4.6.0"
    hooks:
      - id: check-added-large-files
      - id: check-merge-conflict
      - id: end-of-file-fixer
      - id: fix-byte-order-marker
      - id: trailing-whitespace
  - repo: https://github.com/pre-commit/mirrors-prettier
    rev: "v4.0.0-alpha.8"
    hooks:
      - id: prettier
  - repo: https://gitlab.com/buildgarden/tools/badgie
    rev: "0.12.0"
    hooks:
      - id: badgie
  - repo: https://gitlab.com/buildgarden/tools/cici-tools
    rev: "0.7.0"
    hooks:
      - id: cici-update
  - repo: https://gitlab.com/buildgarden/pipelines/skywalking-eyes
    rev: "0.2.2"
    hooks:
      - id: license-eye-header-fix
  - repo: https://github.com/antonbabenko/pre-commit-terraform
    rev: "v1.92.0"
    hooks:
      - id: terraform_docs
      - id: terraform_fmt
      - id: terraform_trivy
      - id: terraform_validate
  - repo: https://github.com/yelp/detect-secrets
    rev: "v1.5.0"
    hooks:
      - id: detect-secrets
        args: [--baseline, .secrets.baseline]
